<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="https://jmix.io/schema/ui/window"
        xmlns:c="https://jmix.io/schema/ui/jpql-condition"
        caption="msg://topupPendingViewBrowse.caption"
        focusComponent="topupPendingViewsTable">
    <data readOnly="true">
        <collection id="topupPendingViewsDc"
                    class="com.company.wallet.entity.TopupPendingView">
            <fetchPlan extends="_base"/>
            <loader id="topupPendingViewsDl">
                <query>
                    <![CDATA[select e from TopupPendingView e]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="lookupSelectAction"
                caption="msg:///actions.Select"
                icon="LOOKUP_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="lookupCancelAction"
                caption="msg:///actions.Cancel"
                icon="LOOKUP_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout expand="topupPendingViewsTable" spacing="true">
        <filter id="filter"
                dataLoader="topupPendingViewsDl">
            <properties include=".*"/>
        </filter>
        <table id="topupPendingViewsTable"
               width="100%"
               dataContainer="topupPendingViewsDc">
            <actions>
                <action id="create" type="create"/>
                <action id="edit" type="edit"/>
                <action id="remove" type="remove"/>
            </actions>
            <columns>
                <column id="amount"/>
                <column id="createdDate"/>
                <column id="endToEndId"/>
                <column id="id"/>
                <column id="lastModifiedDate"/>
                <column id="referenceId"/>
                <column id="status"/>
                <column id="statusCode"/>
                <column id="transactionCode"/>
            </columns>
            <simplePagination/>
            <buttonsPanel id="buttonsPanel"
                          alwaysVisible="true">
                <button id="createBtn" action="topupPendingViewsTable.create"/>
                <button id="editBtn" action="topupPendingViewsTable.edit"/>
                <button id="removeBtn" action="topupPendingViewsTable.remove"/>
            </buttonsPanel>
        </table>
        <hbox id="lookupActions" spacing="true" visible="false">
            <button action="lookupSelectAction"/>
            <button action="lookupCancelAction"/>
        </hbox>
    </layout>
</window>
